- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 573311d0-53f5-421f-a639-03098f12b59c
    creation_time: 2023-02-17T13:38:18.178832Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fac0fa35-09b5-4c0e-8459-6203da3fd448
    creation_time: 2023-02-17T13:38:18.179213Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e461ff5b-2566-42d3-82d4-a255af57ca1a
    creation_time: 2023-02-17T13:38:18.179325Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 40
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a6b7ec4c-5284-4704-8be2-e80f3b6cfcae
    creation_time: 2023-02-17T13:38:18.179417Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 41
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: da08a808-dd42-473b-8060-4c84ab0c3727
    creation_time: 2023-02-17T13:38:18.179500Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 554483d9-6386-4748-bdc0-6face3495731
    creation_time: 2023-02-17T13:38:18.179583Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d18876ba-7ef2-4425-ba74-292891c95a1d
    creation_time: 2023-02-17T13:38:18.179667Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 57
    column: 0
    function: main
  location_invariant:
    string: ((long long) 4*A) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

